summaryrefslogtreecommitdiffstats
path: root/src/cmd/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/cmd/install.sh')
-rw-r--r--src/cmd/install.sh14
1 files changed, 1 insertions, 13 deletions
diff --git a/src/cmd/install.sh b/src/cmd/install.sh
index 2b02fec..0e4a8b9 100644
--- a/src/cmd/install.sh
+++ b/src/cmd/install.sh
@@ -26,7 +26,6 @@ cmd_install_main()
local root=
local profile=
local foreign=
- local dev=
if ! get_options "${@}"; then
print_cmd_usage 'install' >&2
@@ -60,23 +59,12 @@ cmd_install_main()
foreign=false
fi
- dev=''
- if is_block "${root}"; then
- dev="${root}"
- if ! root="$(block_mount "${dev}")"; then
- return 2
- fi
- fi
-
- if ! install_system "${cmd_install_opt_m-}" "${suite}" \
+ if ! run_installer "${cmd_install_opt_m-}" "${suite}" \
"${cmd_install_opt_a-}" "${cmd_install_opt_p-}" \
"${root}" "${foreign}"; then
- [ "x${dev}" != 'x' ] && block_umount "${root}"
return 2
fi
- [ "x${dev}" != 'x' ] && block_umount "${root}"
-
return 0
}